<?php

class Fournisseur extends Model {

    protected $table = 'fournisseur';

    function get($formvars = array(), $champs = "") {

        $sql = "SELECT *";
        if (!empty($formvars['withProd']))
            $sql.=", COUNT(DISTINCT p.produit_id) as nbProd";
        $sql.=" FROM (fournisseur f, fournisseur_nom fn)";
        if(empty($formvars['no_boutique'])) {
            $sql.=" INNER JOIN fournisseur_boutique fb ON(f.fournisseur_id = fb.fournisseur_id AND fb.boutique_id = '".Boutique::getInstance()->id."')";
        }
        if (!empty($formvars['withProd']))
            $sql.=" LEFT JOIN produit p ON (p.fournisseur_id = f.fournisseur_id AND p.produit_statut_id=1)";
        $sql.=" WHERE 1";

        $sql.=" AND f.fournisseur_id = fn.fournisseur_id";
        $sql.=" AND fn.langue_id = '" . Boutique::getInstance()->getLangue()->id . "'";

        if (!empty($formvars['fournisseur_id']))
            $sql.=" AND f.fournisseur_id = '" . $formvars['fournisseur_id'] . "'";

        $sql.=" AND fournisseur_statut_id = '1'";
        if(empty($formvars['no_boutique'])) {
            $sql.=" AND fournisseur_boutique_statut_id = '1'";
        }

        $sql.=" GROUP BY f.fournisseur_id";
        if (!empty($formvars['withProd']))
            $sql.=" HAVING nbProd > 0";
        $sql.=" ORDER BY fournisseur_nom";

        if (empty($champs)) {
            return $this->sql->getAll($sql);
        } else {
            $result = $this->sql->getOne($sql);
            return $result[$champs];
        }
    }
}