#!/usr/bin/env bash
source ./.env

trap 'kill -INT -$pid' INT
timeout 60 bash -c "while [[ \"\$(curl -s -o /dev/null -w '%{http_code}' http://localhost:${DOCKER_APACHE_PORT})\" = \"503\" ]]; do printf '.' && sleep 1; done" & pid=$!
wait $pid && xdg-open http://localhost:${DOCKER_APACHE_PORT} </dev/null >/dev/null 2>&1