<?php

/**
 * Class Avoir
 */
class Avoir extends Model{

    const AVOIR_REMBOURSE = 1;
    const AVOIR_NON_REMBOURSE = 2;

    protected $table = 'avoir';

    // recuperer les avoirs
    function get($formvars = array(), $champs = "") {

        $sql = "SELECT *";
        $sql.=", ROUND(a.avoir_montant,4) as avoir_ht, ROUND(a.avoir_montant*(1+taxe_taux),2) as avoir_ttc";
        $sql.=", DATE_FORMAT(avoir_date,'%d/%m/%Y') as avoir_date_ajout_fr";
        $sql.=" FROM avoir a, commande c";
        $sql.=" WHERE a.commande_id = c.commande_id";

        if (!empty($formvars['avoir_id']))
            $sql.=" AND a.avoir_id = '" . $formvars['avoir_id'] . "'";
        if (!empty($formvars['avoir_statut_id']))
            $sql.=" AND a.avoir_statut_id = '" . $formvars['avoir_statut_id'] . "'";
        if (!empty($formvars['client_id']))
            $sql.=" AND c.client_id = '" . $formvars['client_id'] . "'";
        if (!empty($formvars['commande_id']))
            $sql.=" AND a.commande_id = '" . $formvars['commande_id'] . "'";

        if (empty($champs)) {
            return $this->sql->getAll($sql);
        } else {
            $result = $this->sql->getOne($sql);
            return $result[$champs];
        }
    }
}